v1.0
get
/ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/sitestudyversion
Retrieve a list of subjects for a specific mode and study id, filtered by their sign and verify status. You can use the siteId, subjectState, reviewStatus and signVerifyStatus query parameters to customize the filter criteria.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Query Parameters
-
containsSearchKeyword(required): array[string]
List of search words containing the subject number.Example:
[ "100", "SMI" ] -
exactSearchKeyword(required): array[string]
List of search words matching exactly the subject number.Example:
[ "1001", "SMITH" ] -
limit(required): integer(int32)
Minimum Value:
0Number of subjects.Example:25 -
offset(required): integer(int32)
Minimum Value:
0Starting offset.Example:0 -
order(required): string
Order in which the response records will be returned It can be : asc or desc.Example:
asc -
reviewStatus(required): string
Review status of the subject like sign, verify, open queries etc.Example:
ALL -
signVerifyStatus(required): string
Status of Sign / Verify.Values can be ALL, OPENQUERIES, NOOPENQUERIES, SIGNED, FROZEN, VERIFIED, SIGNEDANDVERIFIED, READYTOSIGN, READYTOVERIFY, LOCKED, UNLOCKED or ALLVISITSCOMPLETEExample:
ALL -
siteId(required): array[string]
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
[ "ABCDEF1234567890ABCDEF1234567890", "93CC828113AC439181071CB44D2C6FE5" ] -
subjectState(required): array[string]
Lifecycle state of the subject in the study. Reflects the subject???s current status. Common values include:
- New
- Active
- Screening_Initiated
- Screen_Failed
- Withdrawn
- Auto_Screen_Failed
- Complete
- Enrolled
Example:[ "ACTIVE" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectDto6
Subject sign, verify and freeze status fields added on top of previous subject versions
Nested Schema : SubjectDto6
Type:
objectSubject sign, verify and freeze status fields added on top of previous subject versions
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Comment for latest subject updateExample:Initial enrollment -
description: string
Minimum Length:
0Maximum Length:500Free text description for the subjectExample:Screened subject -
dob: string
(date-time)
Date of birth
-
enrollmentFailure: string
Minimum Length:
0Maximum Length:255Reason for enrollment failure, if anyExample:Consent withdrawn -
enrollmentOverride: string
Minimum Length:
0Maximum Length:255If subject enrollment is overridden.Example:Subject Enrollment Overridden -
eventType: string
Event Type for Subject, can have value New, Screened, Randomized, Withdrawn, Undo_Withdrawn, Randomization_Replaced, Transferred, Screen_Failed, Undo_Randomization.Example:
Screened -
freezedStatus: string
Frozen status of the record can have values NOT_APPLICABLE, FROZEN, UNFREEZE.Example:
FROZEN -
fromStudyId: string
Origin study identifier (UUID, 32-character uppercase hexadecimal string) from which the subject was transferredExample:
5D5F9311C591424F852B99FD902E98A4 -
gender: string
Minimum Length:
0Maximum Length:10Gender valueExample:[{"value":"1","label":"male"}] -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the subjectExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
informedConsentDate: string
(date-time)
Informed consent dateExample:
2025-09-25T09:00:00Z -
lastSigned: string
(date-time)
Timestamp when the subject was last signedExample:
2025-10-16T14:30:31.892Z -
mhealthSubjectId: string
Unique Identifier (UUID, 32-character uppercase hexadecimal string) of the subject in mHealth system.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
14 -
reason: string
Minimum Length:
0Maximum Length:255Reason for latest subject updateExample:Protocol break happened -
screeningDate: string
(date-time)
Screening date if applicableExample:
2025-10-01T10:00:00Z -
screeningFailure: string
Minimum Length:
0Maximum Length:255Reason for screening failure, if anyExample:Inclusion criteria not met -
signedStatus: string
Signed status for workflow, the acceptable values are: NEVER_SIGNED, SIGNED, UNSIGNED, NEVER_SIGNED.Example:
SIGNED -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
state(required): string
Minimum Length:
0Maximum Length:100Lifecycle state of the subject in the study. Reflects the subject???s current status. Common values include:- New
- Active
- Screening_Initiated
- Screen_Failed
- Withdrawn
- Auto_Screen_Failed
- Complete
- Enrolled
Example:Active -
stateDate: string
(date-time)
Timestamp when the subject transitioned to current stateExample:
2025-10-16T14:30:31.892Z -
studyId: string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
subjectNumber(required): string
Minimum Length:
0Maximum Length:500Unique subject Number representing the patient/participant enrolled in the study.Example:SUBJ-0001 -
subjectTransferId: string
Unique Identifier(UUID, 32-character uppercase hexadecimal string) of a subject transfer if applicableExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
subjNumSiteOrgId: string
Subject number site organization identifier (UUID, 32-character uppercase hexadecimal string)Example:
5D5F9311C591424F852B99FD902E98A4 -
verifiedStatus: string
Verified status for review workflow,the acceptable values are: NEVER_VEIFIED, VERIFIED, UNVERIFIED, NOT_APPLICABLE.Example:
VERIFIED -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object